### Enumeration

# Gtk RecentManagerError

#### Declaration

    error-domain Gtk.RecentManagerError

#### Description [src]

Error codes for `GtkRecentManager` operations.

#### Members

`GTK_RECENT_MANAGER_ERROR_NOT_FOUND`

  The URI specified does not exists in the recently used resources list.

  - Value: `0`
  - Available since: 4.0
`GTK_RECENT_MANAGER_ERROR_INVALID_URI`

  The URI specified is not valid.

  - Value: `1`
  - Available since: 4.0
`GTK_RECENT_MANAGER_ERROR_INVALID_ENCODING`

  The supplied string is not UTF-8 encoded.

  - Value: `2`
  - Available since: 4.0
`GTK_RECENT_MANAGER_ERROR_NOT_REGISTERED`

  No application has registered the specified item.

  - Value: `3`
  - Available since: 4.0
`GTK_RECENT_MANAGER_ERROR_READ`

  Failure while reading the recently used resources file.

  - Value: `4`
  - Available since: 4.0
`GTK_RECENT_MANAGER_ERROR_WRITE`

  Failure while writing the recently used resources file.

  - Value: `5`
  - Available since: 4.0
`GTK_RECENT_MANAGER_ERROR_UNKNOWN`

  Unspecified error.

  - Value: `6`
  - Available since: 4.0

#### Type functions

###### gtk_recent_manager_error_quark

Registers an error quark for `GtkRecentManager` errors.